'use strict'

/**
 * @author      - Harminder Virk
 * @package     - adonis-http-dispatcher
 * @description - Extends error to generate http specific errors helps in differentiating
 *               self invoked and system specific errors.
 */

/**
 * [HttpException]
 * @constructor
 */
function HttpException () {
  Error.call(this)
  this.name = 'HttpException'
  if (arguments.length === 2) {
    this.status = arguments[0]
    this.message = arguments[1]
  } else {
    this.status = 503
    this.message = arguments[0]
  }
}

module.exports = HttpException
